<?xml version="1.0" encoding="ISO-8859-1" ?>
<!--
   Transform XML files containing operator interface specs into an
   ActionGroup which CUI may input and process.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
      version="1.0">
   <xsl:output method="xml" indent="yes" />

   <!--
      Starting point for transform.
   -->
   <xsl:template match="/">
      <ActionGroup>
         <xsl:apply-templates />
      </ActionGroup>
   </xsl:template>

   <!--
      Transform an individual file.
   -->
   <xsl:template match="//file">
      <xsl:element name="launchItem">
         <xsl:attribute name="tooltip">Start this display.</xsl:attribute>
         <xsl:attribute name="repeatable">false</xsl:attribute>
         <xsl:attribute name="facadeRequired">true</xsl:attribute>
         <xsl:attribute name="labelPrefix">Display</xsl:attribute>
         <xsl:attribute name="classname">com.cybermetrix.cyflex.cui.display.OperatorDisplay</xsl:attribute>
         <xsl:attribute name="command">generic_java com.cybermetrix.cyflex.cui.display.OperatorDisplay</xsl:attribute>
         <xsl:attribute name="command_wait">false</xsl:attribute>
         <xsl:attribute name="command_local">true</xsl:attribute>
         <xsl:apply-templates />
      </xsl:element>
   </xsl:template>
</xsl:stylesheet>
